#PLAYLIST_FENSTER                   = 249
#LISTVIEW_PLAYLIST         = 80
#TEXT_BACKGROUND_BLACK    = $000000
#TEXT_FOREGROUND             = $95E75F  ; Schrift-Farbe 

Global TEXT_BACKGROUND_BLACK.l
TEXT_BACKGROUND_BLACK = CreateSolidBrush_(#TEXT_BACKGROUND_BLACK)

Global hWndPlayList.l
Global hBrush.l 

Declare ShowPlayListWindow()
Declare MyWindowCallback(hWindow, Message, wParam, lParam)


ShowPlayListWindow()

Procedure ShowPlayListWindow()
 hWndPlayList = OpenWindow(#PLAYLIST_FENSTER, 181, 297, 544, 127, #PB_Window_SystemMenu | #PB_Window_ScreenCentered | #PB_Window_BorderLess, "ZX Sound System PlayListe")
  If hWndPlayList
   SetClassLong_(hWndPlayList , #GCL_HBRBACKGROUND, hBrush) 
   InvalidateRect_(hWndPlayList , #NULL, #TRUE) 
    If CreateGadgetList(WindowID())
    ListViewGadget(#LISTVIEW_PLAYLIST, 10, 10, 500, 100)
   
    
    
    
     EndIf
  EndIf
EndProcedure

Pattern$ = "Music (*.mp3, *.ogg, *.wav) |*.mp3; *.ogg; *.wav" 
MusicFileName.s = OpenFileRequester("MusicFiles Auswhlen", "c:\", Pattern$, 0, #PB_Requester_MultiSelection) 

If MusicFileName

SetWindowCallback(@MyWindowCallback())
Repeat 
AddGadgetItem(#LISTVIEW_PLAYLIST, -1,  Str(CountGadgetItems(#LISTVIEW_PLAYLIST) + 1) + ". -->" + GetFilePart(MusicFileName))

MusicFileName.s = NextSelectedFileName()
Until MusicFileName = ""

EndIf

Repeat



Until WaitWindowEvent()  =  #PB_EventCloseWindow



Procedure MyWindowCallback(hWindow, Message, wParam, lParam) 
  Result = #PB_ProcessPureBasicEvents 
  Select Message 
     Case #WM_CTLCOLORLISTBOX 
      SetBkMode_(wParam, #TRANSPARENT) 
      SetTextColor_(wParam, #TEXT_FOREGROUND) 
      Result = TEXT_BACKGROUND_BLACK
  EndSelect 
  ProcedureReturn Result 
EndProcedure 


; ExecutableFormat=Windows
; CursorPosition=3
; FirstLine=1
; EOF